IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Coupons

Codes guests can enter for additional discounts

The coupon object

Attributes

iduuid

Unique identifier

organization_iduuid
organizations.id

Identifier of the organization this coupon is defined in

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

deleted_attimestamp with time zone | null

Timestamp at which the coupon was deleted

codetext

Coupon code

definitionPriceExpression

Definition of the coupon

descriptiontext

Description of the coupon

ftstsvector

Full text search index

quotainteger | null

Maximum number of times this coupon can be used

scope"global" | "product" | "service" | "rent"

Scope of the coupon

stackableboolean

Whether the coupon can be used together with other coupons in one booking

The coupon object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:24:09.754Z",
  "updated_at": "2026-03-12T05:24:09.754Z",
  "deleted_at": "2026-03-12T05:24:09.754Z",
  "code": "",
  "definition": {
    "restrictions": [],
    "type": "absolute",
    "value": [
      {
        "occupancy_group_id": null,
        "period": null,
        "value": 10
      }
    ]
  },
  "description": "",
  "quota": 0,
  "scope": "global",
  "stackable": true
}

List coupons

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this coupon is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

deleted_atFilter<timestamp with time zone | null>

Timestamp at which the coupon was deleted

codeFilter<text>

Coupon code

definitionFilter<PriceExpression>

Definition of the coupon

descriptionFilter<text>

Description of the coupon

ftsFilter<tsvector>

Full text search index

quotaFilter<integer | null>

Maximum number of times this coupon can be used

scopeFilter<"global" | "product" | "service" | "rent">

Scope of the coupon

stackableFilter<boolean>

Whether the coupon can be used together with other coupons in one booking

Responses

200

A list of coupons with the selected columns

206

Partial Content

GET /coupons
curl -X GET "https://api.bookingmood.com/v1/coupons?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create coupons

Body

Partial<Coupon> | Array<Partial<Coupon>>

Responses

201

The newly created coupons with the selected columns

POST /coupons
curl -X POST "https://api.bookingmood.com/v1/coupons" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete coupons

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this coupon is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

deleted_atFilter<timestamp with time zone | null>

Timestamp at which the coupon was deleted

codeFilter<text>

Coupon code

definitionFilter<PriceExpression>

Definition of the coupon

descriptionFilter<text>

Description of the coupon

ftsFilter<tsvector>

Full text search index

quotaFilter<integer | null>

Maximum number of times this coupon can be used

scopeFilter<"global" | "product" | "service" | "rent">

Scope of the coupon

stackableFilter<boolean>

Whether the coupon can be used together with other coupons in one booking

Responses

204

The deleted coupons with the selected columns

DELETE /coupons
curl -X DELETE "https://api.bookingmood.com/v1/coupons" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update coupons

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this coupon is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

deleted_atFilter<timestamp with time zone | null>

Timestamp at which the coupon was deleted

codeFilter<text>

Coupon code

definitionFilter<PriceExpression>

Definition of the coupon

descriptionFilter<text>

Description of the coupon

ftsFilter<tsvector>

Full text search index

quotaFilter<integer | null>

Maximum number of times this coupon can be used

scopeFilter<"global" | "product" | "service" | "rent">

Scope of the coupon

stackableFilter<boolean>

Whether the coupon can be used together with other coupons in one booking

Body

Partial<Coupon>

Responses

204

The updated coupons with the selected columns

PATCH /coupons
curl -X PATCH "https://api.bookingmood.com/v1/coupons" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'